Bug 911473 - (CVE-2013-0290) CVE-2013-0290 kernel: net: infinite loop in __skb_recv_datagram()
CVE-2013-0290 kernel: net: infinite loop in __skb_recv_datagram()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130212,repor...
: Security
Depends On: 911476 911478 911479
Blocks: 916583
  Show dependency treegraph
 
Reported: 2013-02-15 01:47 EST by Petr Matousek
Modified: 2016-03-04 05:49 EST (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 09:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-02-15 01:47:49 EST
A flaw was found in the way __skb_recv_datagram() processed skbs with no payload when MSG_PEEK was requested. An unprivileged local user could use this flaw to cause local denial of service.

Upstream commit:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=77c1090

References:
http://seclists.org/oss-sec/2013/q1/310
Comment 2 Petr Matousek 2013-02-15 02:02:42 EST
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 911479]
Comment 3 Petr Matousek 2013-02-15 02:05:19 EST
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 5 and 6.

This issue did affect the version of Linux kernel as shipped with Red Hat Enterprise MRG 2.
Comment 5 Fedora Update System 2013-02-18 02:02:15 EST
kernel-3.7.8-202.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-02-24 03:37:09 EST
kernel-3.7.9-101.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2013-03-11 14:40:10 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0622 https://rhn.redhat.com/errata/RHSA-2013-0622.html

Note You need to log in before you can comment on or make changes to this bug.